
// Various little utility function can go in here

#ifndef __UTIL_H__
#define __UTIL_H__

#include <string>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/timeb.h>
#include <time.h>

#ifdef _WIN32
#include <conio.h>
#include <windows.h>
#else
#include <sys/select.h>
#include <termios.h>
#include <unistd.h>
#endif

using namespace std;

string				makeLower(const string& strA);
string				makeUpper(const string& strA);
bool				getSwitch(int argc, char** argv, const string& strSwitch, string* pResult);
bool				getSwitch(int argc, char** argv, const string& strSwitch);
bool				getSwitch(int argc, char** argv, const string& strSwitch, int* pResult1);
bool				getSwitch(int argc, char** argv, const string& strSwitch, int* pResult1, int* pResult2);
bool				getSwitch(int argc, char** argv, const string& strSwitch, unsigned int* pResult1);
unsigned char		getKeyAsync();
unsigned char		getKey();
string				getTimeDateStamp(bool date, bool time);

#endif  

